
import { Avatar, Card, Col, List, Skeleton, Row, Statistic, Descriptions, Progress, Table, Button } from 'antd';
import { Link, history, useRequest, useParams } from 'umi';
import './style.less';
//  秒数转化为时分秒
const formatSeconds = (value) => {
    //  秒
    let second = parseInt(value)
    //  分
    let minute = 0
    //  小时
    let hour = 0
    //  天
    //  let day = 0
    //  如果秒数大于60，将秒数转换成整数
    if (second > 60) {
        //  获取分钟，除以60取整数，得到整数分钟
        minute = parseInt(second / 60)
        //  获取秒数，秒数取佘，得到整数秒数
        second = parseInt(second % 60)
        //  如果分钟大于60，将分钟转换成小时
        if (minute > 60) {
            //  获取小时，获取分钟除以60，得到整数小时
            hour = parseInt(minute / 60)
            //  获取小时后取佘的分，获取分钟除以60取佘的分
            minute = parseInt(minute % 60)
            //  如果小时大于24，将小时转换成天
            //  if (hour > 23) {
            //    //  获取天数，获取小时除以24，得到整天数
            //    day = parseInt(hour / 24)
            //    //  获取天数后取余的小时，获取小时除以24取余的小时
            //    hour = parseInt(hour % 24)
            //  }
        }
    }

    let result = '' + parseInt(second) + ' 秒 '
    if (minute > 0) {
        result = '' + parseInt(minute) + ' 分 ' + result
    }
    if (hour > 0) {
        result = '' + parseInt(hour) + ' 小时 ' + result
    }
    //  if (day > 0) {
    //    result = '' + parseInt(day) + '天' + result
    //  }
    console.log('result：', result)
    return result
}

const Result = () => {

    const params = useParams();
    //获取考试详情
    // const a=2;
    // const b=3;



    return (
        <div className="qualification" style={{ height: window.innerHeight - 300, background: '#fff', width: '100%', padding: 20 }}>
            <div ><span className="title" onClick={() => { history.push('/mockExamination/index') }}>模拟考试</span> / 综合模拟考试 / {params.rules_name}</div>
            <div className={"top"}>{params.rules_name}</div>
            <div style={{ width: '12rem', margin: '0 auto' }}>
                <div className='condition' >
                    <div className='condition-title' >考试用时：</div>
                    <span className='condition-text' >{formatSeconds(params.time)}</span>
                </div>
                <div className='condition' >
                    <div className='condition-title' >得分情况：</div>
                    <span className='condition-text' >{params.score}分/{params.sum_score}分</span>
                </div>
                <div className='condition' >
                    <div className='condition-title' >是否通过：</div>
                    <span className='condition-text' >{params.score >= params.pass_score ? "通过" : "未通过"}</span>
                </div>
            </div>

            <div style={{ textAlign: 'center' }} >
                <Button type="primary" style={{ width: '10rem' }} onClick={() => {
                    history.push('/mockExamination/index')
                }}>返回</Button>
            </div>
        </div>
    );
};

export default Result;
